Date: Tue, 29 Jul 2014 10:42:12 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.5.0)
Content-Type: application/x-phpwiki;
  pagename=Help%2FPluginManagerPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~PluginManager** [[Help:WikiPlugin|plugin]] provides a dynamic list of plugins on this wiki.

== Usage ==

{{{
<<PluginManager info=args>>
}}}

== Arguments ==

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **info**
| Display the arguments also. To disable use info=0.
| enabled
|}

== Configuration ==

define('REQUIRE_ADMIN', true) in the sourcecode to disable general usage.

== Example ==

{{{
<<PluginManager>>
}}}

~PhpWiki lets you extend it with new functionality via a plugin
mechanism. In short, you extend a PHP class we provide and customize
it to print out the content you want. For more information see
[[Help:WikiPlugin]], [[Help:HelloWorldPlugin]], and view the source of the files in
##lib/plugin##.

If there is no example page for the plugin, or you need more
information, the best place to go is the source of the plugin. Under
your wiki's root directory, the folder ##lib/plugin## contains all the PHP
files for the plugins.

== External Requirements ==

Some plugins require correctly configured PLUGIN_CACHED and external libraries
not provided with ~PhpWiki or PHP, such as
* [[php-function:ref.image | PHP with GD support]] for the [[Help:text2pngPlugin|text2png]] plugin,
* [[ftp://ftp.dante.de/tex-archive/support/latex2html | LaTeX2HTML]] for the [[Help:TexToPngPlugin|TexToPng]] plugin and [[Help:TeX2pngPlugin|TeX2png]] plugin,
* [[http://graphviz.org/ | graphviz]] for the [[Help:GraphVizPlugin|GraphViz]] plugin and [[Help:VisualWikiPlugin|VisualWiki]] plugin,
* [[http://ploticus.sourceforge.net/ | ploticus]] for the [[Help:PloticusPlugin|Ploticus]] plugin,
* [[http://phpweather.sf.net | phpweather]] for the [[Help:PhpWeatherPlugin|PhpWeather]] plugin,
* USE_DB_SESSION = true (default for the peardb, adodb or dba backends) for the [[Help:WhoIsOnlinePlugin|WhoIsOnline]] plugin,
* --with-xml support (with expat or libxml2) for the [[Help:RssFeedPlugin|RssFeed]] plugin (~ProjectSummary, ~RecentReleases) and ~HtmlParser support (~ImportHtml, ~HtmlAreaEditing),
* PHP Mail functionality (php.ini: SMTP + sendmail_from on Windows or sendmail_path) for email PageChangeNotifications and ModeratedPage's,
* a [[http://www.google.com/apis/ | Google license key]] for the [[Help:GooglePluginPlugin|GooglePlugin]] plugin,
* optionally apache/mod_log_{my}sql for fast, external log analysis if ACCESS_LOG_SQL=1 (Referer, Abuse Prevention).
  See ##lib/Request.php## and http://www.outoforder.cc/projects/apache/mod_log_sql/

== Author ==
* [[Help:Jeff Dairiki|Jeff Dairiki]] ?

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
